﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.Services.IGenericEntityService;
using DepartmentContract.ViewModels;
using ToolsModule.ManagmentEntity;
using ToolsModule.ManagmentSecurity;

namespace DepartmentBusinessLogic.BusinessLogics.GenericBusinessLogic
{
    /// <summary>
    /// Логика работы с сотрудниками
    /// </summary>
    public class EmployeeBusinessLogic : GenericBusinessLogic<EmployeeGetBindingModel, EmployeeSetBindingModel, EmployeeListViewModel, EmployeeViewModel>, IEmployeeLogic
	{
		public EmployeeBusinessLogic(IEmployeeService service) : base(service, "Сотрудники", AccessOperation.Сотрудники) { }
	}
}